Subject: Re: [PATCH v5] Thermal: introduce INT3406 thermal driver

From: Aaron Lu <[email-masked]>
Date: Thu, 11 Dec 2014 10:17:16 +0800

On 12/11/2014 10:15 AM, Olof Johansson wrote:
> On Wed, Dec 10, 2014 at 5:02 PM, Aaron Lu <[email-masked]> wrote:
>> On Wed, Dec 10, 2014 at 11:53:25AM -0800, Olof Johansson wrote:
>>> Hi,
>>>
>>> [+daniel vetter]
>>>
>>> On Mon, Dec 8, 2014 at 9:47 PM, Aaron Lu <[email-masked]> wrote:
>>>> INT3406 ACPI device object resembles an ACPI video output device, but its
>>>> _BCM is said to be deprecated and should not be used. So we will make
>>>> use of the raw interface to do the actual cooling. Due to this, the
>>>> backlight core has some modifications. Also, to re-use some of the ACPI
>>>> video module's code, one function has been exported.
>>>>
>>>> Signed-off-by: Aaron Lu <[email-masked]>
>>>> Signed-off-by: Zhang Rui <[email-masked]>
>>>> ---
>>>> v5:
>>>> Add the missing file drivers/thermal/int340x_thermal/Kconfig
>>>> Remove the assignment of .owner field from the device_driver structure
>>>
>>>
>>> Did this patch show up in -next for the first time last night, or did
>>> some other change break this?
>>>
>>> It causes a panic in i915 when booting Minnowboard Max for me.
>>
>> Sorry for the trouble, I'm looking at this now.
>> Is there anything special about the Minnowboard Max? I'll try to
>> reproduce the issue here locally with a typical Intel desktop.
> 
> Another good question is why the code showed up in -next today. Code
> going in for 3.19 is supposed to have been baking there already, and
> it's too early to stage anything for 3.20.
> 
> Zhang?
> 
>> Is it the next/master branch?
>> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> 
> Yes. But I've confirmed that it happens with Zhang's next branch too
> without the rest of linux-next.

Can you please give me your kernel config file too?

Thanks,
Aaron

> -Olof